/*
 * Class READABLE_INDEXABLE [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1969 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1969 [] = {0xFF01,1551,1968,854,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1969 [] = {0xFF01,1968,854,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1969 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1969 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1969 [] = {0xFF01,1968,854,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1969 [] = {0xFF01,1968,854,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1969 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1969 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1969 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1969 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1969 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1969 [] = {1968,854,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1969 [] = {0xFF01,1968,854,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1969 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1969 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1969 [] = {0xFF01,1966,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1969 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1969[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1969), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1969), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1969), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1969), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1969), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1969), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1969), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1969), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1969), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1969), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1969), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1969), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1969), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1969), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1969), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1969), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1969), 11020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1969), -1, 0xFFFFFFFF},
};
void Init1969(void)
{
	IDSC(desc_1969, 0, 1968);
	IDSC(desc_1969 + 1, 1, 1968);
	IDSC(desc_1969 + 32, 1570, 1968);
	IDSC(desc_1969 + 35, 1088, 1968);
}


#ifdef __cplusplus
}
#endif
